<?php include 'components/component_functions.php'; ?>
<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Om oss</title>

    <!-- Egen CSS -->
    <link rel="stylesheet" href="style/om_style.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">

    <!--jQuery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

    <!--Script for innlogging og registrering-->
    <script src="script/js/modal_script.js"></script>

      <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

    <!-- Bootstrap-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


</head> 
<body>

    <!--Lager navbar-->
    <?php createNavbar(); ?>
    
    <!--Første seksjon. Vår visjon-->
    <div class="padding info-card top-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1201/1201199.svg" class="goal-img">
            </div>
            <div class="col-sm-6">
                <h3 class="text-center header">Vår visjon</h3>
                <p class="text-center lead vision-info-text">Vi jobber for å fremme og integrere state-of-the-art forskning og behandlingsverktøy til publikum med mål å redusere uførhet og funksjonsnedsettelse og fremme positiv helse</p>
            </div>
        </div>
    </div>
    </div>

    <!--Bilder og tekst for "Hva kan vi hjelpe deg med?"-->
    <div class="padding">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <h1 class="display-4 header text-center">Hva kan vi hjelpe deg med?</h1>
            </div>
        </div>
    </div>
    </div>

    <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <h1 class="text-center header">Muskel- og skjelettplager</h1>
                <p class="lead text-center">Om du opplever muskel- og skjelletplager, kan vi hjelpe deg på bedringens vei. Gjennom våre validerte spørreskjema kan vi kartlegge og legge grunnlaget for hvordan du best og raskest mulig kan komme deg tilbake til en normal hverdag.</p>
            </div>
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/706/706165.svg" width="200" height="200">
            </div>
        </div>
    </div>
    </div>

    <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1527/1527689.svg" width="250" height="250">
            </div>
            <div class="col-sm-6">
                <h1 class="text-center header">Veiledning</h1>
                <p class="lead text-center">Om du har spørsmål utover den informasjonen du får oppgitt, eller bare er nysgjerrig på hvordan ting fungerer, kan du kontakte oss døgnet rundt.</p>
            </div>
        </div>
    </div>
    </div>

    <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <h1 class="text-center header">Komme raskere i gang med behandling</h1>
                <p class="text-center lead">Etter du har gjennomgått de spørreskjemaene og lest den informasjonen som er relevant for deg, vil det gange både deg selv og din fysioterpeut for at du skal kunne få den mest effektive behandlingen som mulig.</p>
            </div>
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1721/1721103.svg" width="250" height="250">
            </div>
        </div>
        
    </div>
    </div>

    <!--Knapp for å sende bruker tilbake til toppen av siden-->
    <a href="javascript:" id="return-to-top"><i class="icon-chevron-up"></i></a>

    <!--Lager modal for innlogging og footer for nettsiden-->
    <?php createModal(); ?>

    <?php createFooter(); ?>

</body>
</html>