<?php 

//Funksjon for å regne ut hvor mange dager det har gått siden bruker sist gjennomførte spørreskjema
function dateDiff($db_date){

    $dateNow = date('Y-m-d');
    $diff = strtotime($dateNow) - strtotime($db_date);
    $days_since = round($diff / (60*60*24));

    //If-setning som sjekker om det er 0 eller 1 som returneres fra forskjell. 
    //Gjøres for å få et noe bedre resultat å vise
    if($days_since == 0){

        echo 'Skjemaet ble sist gjennomført i dag';

    } else if($days_since == 1){

        echo 'Skjemaet ble sist gjennomført i går';

    } else {

        echo 'Skjemaet ble gjennomgått for ' . $days_since . ' dager siden';

    }

}

//Funksjon for å finne status på NDI
function get_ndi_status(){

    //Kan ikke inkludere db-credentials grunnet funksjon
    //Kan evt hente og gjøre global, men vil være lettere å kopiere 
    $server_name = 'mysql.stud.iie.ntnu.no';
    $username = 'ulrikksm';
    $password = '6DxgCPcg';
    $dbname = 'ulrikksm';

    $connection = new mysqli($server_name, $username, $password, $dbname);

    if(!$connection){
        die('Tilkobling mislykkes: ' . $connection->connect_error);
    }

    //Henter session
    $uid = $_SESSION['uid'];

    //Spørring
    $ndi_status_check = "SELECT Dato FROM Resultat WHERE Bruker_Id = '$uid' AND Skjema_Id = (SELECT MAX(Skjema_Id) FROM Resultat WHERE Bruker_Id = '$uid')";

    //Resultat av spørring
    $result = mysqli_query($connection, $ndi_status_check);

    //Sjekk om det finnes resultat, og hent ut dato
    if(mysqli_num_rows($result) > 0){

        while($row = mysqli_fetch_assoc($result)){
            
            //Hente dato
            $lastDate = $row['Dato'];

        }

        //Henter siste registrerte dato og viser melding
        dateDiff($lastDate);

    } else {

        //Om bruker ikke har gjennomført spørreskjema
        echo 'Du har ikke gjennomført spørrskjemaet enda';

    }

    //Lukker tilkobling
    mysqli_close($connection);

}

function get_psfs_status(){

    //Kan ikke inkludere db-credentials grunnet funksjon
    //Kan evt hente og gjøre global, men vil være lettere å kopiere 
    $server_name = 'mysql.stud.iie.ntnu.no';
    $username = 'ulrikksm';
    $password = '6DxgCPcg';
    $dbname = 'ulrikksm';

    $connection = new mysqli($server_name, $username, $password, $dbname);

    if(!$connection){
        die('Tilkobling mislykkes: ' . $connection->connect_error);
    }

    $uid = $_SESSION['uid'];

    $psfs_status_check = "SELECT date FROM PSFS WHERE user_id = '$uid' AND psfs_id = (SELECT MAX(psfs_id) FROM PSFS WHERE user_id = '$uid')";

    $result = mysqli_query($connection, $psfs_status_check);

    if(mysqli_num_rows($result) > 0){

        while($row = mysqli_fetch_assoc($result)){

            $lastDate = $row['date'];

        }

        dateDiff($lastDate);
        
    } else {

        echo 'Du har ikke gjennomført spørrskjemaet enda';

    }

    mysqli_close($connection);

}

function get_vas_status(){

    //Kan ikke inkludere db-credentials grunnet funksjon
    //Kan evt hente og gjøre global, men vil være lettere å kopiere 
    $server_name = 'mysql.stud.iie.ntnu.no';
    $username = 'ulrikksm';
    $password = '6DxgCPcg';
    $dbname = 'ulrikksm';

    $connection = new mysqli($server_name, $username, $password, $dbname);

    if(!$connection){
        die('Tilkobling mislykkes: ' . $connection->connect_error);
    }

    $uid = $_SESSION['uid'];

    $vas_status_check = "SELECT date FROM VAS WHERE user_id = '$uid' AND vas_id = (SELECT MAX(vas_id) FROM VAS WHERE user_id = '$uid')";

    $result = mysqli_query($connection, $vas_status_check);

    if(mysqli_num_rows($result) > 0){

        while($row = mysqli_fetch_assoc($result)){

            $lastDate = $row['date'];

        }

        dateDiff($lastDate);

    } else {

       echo 'Du har ikke gjennomført spørrskjemaet enda'; 

    }

    mysqli_close($connection);

}

?>