<?php 

    //Inkluder kredentialer for å koble til database
    include 'db_credentials.php';

    //Start session for å hente og legge til session-variabler
    session_start();

    //Hent brukerid fra session 
    $user_id = $_SESSION['uid'];

    //Spørring for å hente historikk om psfs
    $get_psfs_history = "SELECT date, activity_first, activity_second, activity_third, duration_first, duration_second, duration_third,
    scale_first, scale_second, scale_third, affect_first, affect_second, affect_third FROM PSFS WHERE user_id = '$user_id' AND psfs_id = (SELECT MAX(psfs_id) FROM PSFS WHERE
    user_id = '$user_id')";

    //Array for å holde verdier
    $psfs_history = array();

    //Resultat av spørring
    $result = mysqli_query($connection, $get_psfs_history);

    //Sjekker om det returneres rader fra database
    if(mysqli_num_rows($result) > 0){
        //For hver rad som returneres
        while($row = mysqli_fetch_assoc($result)){
            //Dytt verdier inn i array-liste
            array_push($psfs_history, $row['date'], $row['activity_first'], $row['duration_first'], $row['scale_first'], $row['affect_first'], $row['activity_second'], $row['duration_second'], $row['scale_second'], $row['affect_second'], $row['activity_third'], $row['duration_third'], $row['scale_third'], $row['affect_third']);
        }

        //Returner liste til ajax-kall
        echo json_encode($psfs_history);

    } else {

        echo 'Ingen tidligere svar funnet';

    }

    //Lukk tilkobling
    mysqli_close($connection);

?>