<?php include 'db_credentials.php'; //Henter detaljer om db

    //Variabler for data som sendes til database
    $first_name = mysqli_real_escape_string($connection, $_POST['first_name']);
    $surname = mysqli_real_escape_string($connection, $_POST['surname']);
    $kjonn = mysqli_real_escape_string($connection, $_POST['gender_selection']);
    $fodselsaar = mysqli_real_escape_string($connection, $_POST['YOB']);
    $email = mysqli_real_escape_string($connection, $_POST['email']);
    $password = mysqli_real_escape_string($connection, $_POST['password_second']);

    //Hasher passord
    $hashed_pw = password_hash($password, PASSWORD_DEFAULT);

    //Spørring. Bruker prepared statement
    $insert_user = "INSERT INTO Bruker(Fornavn, Etternavn, Kjonn, Fodselsaar, Epost, Passord)
    VALUES(?, ?, ?, ?, ?, ?)";

    $stmt = mysqli_stmt_init($connection); 

    //Sjekker om spørring er vellykket
    if(!mysqli_stmt_prepare($stmt, $insert_user)){

        echo 'Noe gikk galt';

    } else {

        //Bind parametere og data
        mysqli_stmt_bind_param($stmt, 'sssiss', $first_name, $surname, $kjonn, $fodselsaar, $email, $hashed_pw);

        //Utfør
        mysqli_stmt_execute($stmt);

    }

    //Lukk tilkobling
    mysqli_close($connection);

?>