<!--Importerer php-script for komponenter-->
<?php include 'components/component_functions.php'; 

//Sjekker om session er satt, om bruker ikke er innlogget
if(!isset($_SESSION['employee_logged_in'])){

    //send tilbake til forside
    header('Location: index.php');
}

?>

<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Min Side Ansatt</title>

        <!--Egen CSS-->
        <link rel="stylesheet" href="style/min_side_ansatt.css">

        <!--Bootstrap CSS-->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">     

        <!--jQuery-->
        <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

        <!--Script for min side-->
        <script src="script/js/my_page_employee.js"></script>

        <!--Chart.js-->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.bundle.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.css">


        <!--Bootstrap js-->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
    
    <?php createNavBar(); ?>

    <!--Overskrift-->
    <div class="padding my-page-top">
    <div class="container">
        <h1 class="text-center display-4 header">Min Side</h1>
    </div>
    </div>

    <!--Søkefelt-->
    <div class="text-center">
        <div class="input-group">
            <span class="input-group-prepend">
                <div class="input-group-text bg-transparent border-right-0"> <i class="fa fa-search"></i> </div>
            </span>
            <input type="text" class="form-control search_patient border-left-0 border" placeholder="Søk etter pasient">
        </div>
    </div>

    <!--Liste over pasienter-->
    <div class="padding">
    <div class="container">
        <div class="row text-center patients">
            <div class="col-sm-12 patient_list">
                 
            </div>
        </div>
    </div>
    </div>

    <div class="modal fade" id="detailsmodal" tabindex="-1" role="dialog" aria-labelledby="detailsmodal" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title details-title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body details-main text-center">

                </div>
            </div>
        </div>
    </div>

</body>
</html>