$(document).ready(function(){

    //Sjekker hvor bruker er i systemet

    //Variabel med grunnmur
    //Om bruker har tilgang til min side er de pålogget, derfor vil denne alltid være sann.
    var steps = ['Logge inn', '@Gjennomføre spørreskjema', 'Få anbefaling', 'Følg anbefaling',];

    //Sjekker om knapp for anbefaling er aktiv eller ikke. 
    //Om knapp ikke er aktiv, betyr dette at bruker ikke har gjennomført skjema. 
    if(!$('.reco_active').prop('disabled')){
        steps[1] = 'Gjennomføre spørreskjema';
        steps[3] = '@Følg anbefaling';
    } 

    $('.steps').progressbar({

        steps: steps
        
    });

    $('.questionare_start').click(function(){
        window.location.replace('sporreskjema.php');
    });

    //Når bruker trykker for å starte NDI
    $('.ndi_start').on('click', function(){

        window.location.replace('ndi.php');

    });

    //Når bruker trykker for å starte PSFS
    $('.psfs_start').on('click', function(){

        window.location.replace('psfs.php');
        
    });

    //Når bruker trykker for å starte VAS
    $('.vas_start').on('click', function(){

        window.location.replace('vas.php');

    });

    //Når bruker trykker for å se anbefaling
    $('.reco_active').click(function(){

        $('#reco_modal').modal('show');

    });

});    