$(document).ready(function(){

    var formChecks = [];

    //Sjekker om alle skjema er utfylt
    //Må brukes ved alle skjema i tilfelle bruker gjennomfører skjemaene i ukronologisk rekkefølge
    function checkFormStatus(){

        //Sjekker om lengden er 3, altså om alle skjema er utfylt
        if(formChecks.length == 3){

            //Sjekker at alle verdiene er 'true'
            formChecks.sort();
            if(formChecks[0] == formChecks[formChecks.length - 1]){
                
                //Vis til bruker at skjema er gjennomført
                $('#sporreskjema_modal').modal('show');

            }

        } else { //Om lengden ikke er 3

            return false; 

        }
    }


    $('.form_finish').click(function(){
        window.location.replace('min_side.php');
    });

    //Progressbar steps for hvor brukeren er i spørreskjemaet
    var first_step = ['@Gjennomføre smerteskala', 'Gjennomføre flervalgssskjema', 'Gjennomføre aktivitetsskjema'];
    var second_step = ['Gjennomføre smerteskala', '@Gjennomføre flervalgssskjema', 'Gjennomføre aktivitetsskjema'];
    var third_step = ['Gjennomføre smerteskala', 'Gjennomføre flervalgssskjema', '@Gjennomføre aktivitetsskjema'];

    $('.first-section-step').progressbar({
        steps: first_step
    });

    $('.second-section-step').progressbar({
        steps: second_step
    });

    $('.third-section-step').progressbar({
        steps: third_step
    });

            //!VAS

            //Funksjon for å endre farger på slider og på ansikt
            function setStatusVas(color){

                $('.rangeslider__fill').css({'background-color': color});
                $('#face').css({'background-color': color});
                $('#mouth-box').css({'background-color': color});
        
            }
    
            //Definere hvordan slider skal se ut. Bruker rangeslider.js
            $('#vas_slider').rangeslider({
    
                polyfill: false,
    
                rangeClass: 'rangeslider',
                horizontalClass: 'rangeslider--horizontal',
                fillClass: 'rangeslider__fill',
                handleClass: 'rangeslider__handle',
    
                onInit: function(){ //Ved initialisering av slider
                    $('.slider_value_vas').html(Math.floor(this.$element.val()/10));
                    setStatusVas('#f39c12');
                },
    
                onSlide: function(position, value){ //Når slideren er aktiv
    
                $('.slider_value_vas').html(Math.floor(value/10)); //Skriv ut verdi fra 0 til 10
        
                var newWidth, mouth = $('#mouth');
    
                if(value > 59){ 

                    setStatusVas('#e74c3c');
    
                    mouth.css({top: 0, bottom: 'auto'});

                    newWidth = value + 60;

                    mouth.css({

                        width: newWidth,
                        height: newWidth,
                        'border-radius': newWidth / 2,
                        left: (value*-1) / 2

                    }).removeClass('straight');
    
    
                     } else if((value > 49) && (value < 60)){ //Om verdien ligger på midten
    
                        setStatusVas('#f39c12');
    
                        mouth.addClass('straight');
    
                    } else { //Om verdien ligger over 5
    
                        setStatusVas('#2ecc71');
    
                        mouth.css({bottom: 0, top:'auto'});
        
                        newWidth = 160 - value;
        
                        mouth.css({
        
                        width: newWidth,
                        height: newWidth,
                        'border-radius': newWidth*2,
                        left: -25 + (value-50) / 2
        
                        }).removeClass('straight');
    
                    }
                },
    
                value: 50 //Sett standard
    
            });
    
            //Når bruker registrerer skjema.
            //Her vil det ikke være mulig å validere
            $('.vas_finish').click(function(){
    
                //Hent score fra slider. 
                //Henter score fra slider og ikke tekst siden teksten enklere kan endres ved å inspisere element
                //Vil også være lettere å hente slider verdi ettersom at det allerede er et tall 
                var vas_score = Math.floor($('#vas_slider').val()/10);

                //Legger til true og sjekker om alle skjema er utfylt
                formChecks.push('true');
                checkFormStatus();
    
                //Sender data til database gjenom asynkron kommuikasjon
                $.ajax({
                    type: 'post',
                    data: {vas_score: vas_score},
                    url: 'script/processors/vas_processor.php',
                    success: function(data){
                        
                        //Fjerner innhold i forklaring og legger til ny overskrift
                        $('.info-card-vas').html('');
                        $('.info-card-vas').append('<h2 class="text-center">Du har nå gjennomført rangeringsskjemaet!</h2>');
    
                        $('.vas_main').css('display', 'none');
                      
                    }
                });
    
            });



        //!NDI

        //Teller for seksjon. Brukes for å sende data til php for å hente riktig seksjon
        var section_number = 1;

          //Oppdater progressjonsbar
          $('.progress-bar').attr('aria-valuenow', section_number*10).css('width', section_number*10 + '%');

        //Liste med seksjonsnavn
        var section_names = ['Smerteintensitet', 'Lesing', 'Hodepine', 'Konsentrasjon', 'Jobb', 'Kjøring', 'Søvn', 'Fritid og rekreasjon', 'Sosialt', 'Løfting'];
        var section_score = [];
        var section_answers = [];
    
        //Funksjon for å laste inn seksjoner
        function load_section(section_count){

            //Hvis brukeren er kommet lengere enn første seksjon
            if(section_number > 1){

                //Vis knapp for å gå tilbake
                $('#prev_section').removeClass('prev_btn');

            } else { //Om bruker går tilbake til start

                //Skjul knapp for å gå tilbake
                $('#prev_section').addClass('prev_btn');

            }
    
            //Om teller blir 10, når bruker er på siste seksjon
            if(section_number == 10){
                $('#next_section').removeClass('btn-primary');
                $('#next_section').addClass('btn-success');
                $('#next_section').html('Fullfør');
            }
    
            //Når bruker trykker fullfør
            if(section_number == 11){            
                $('.ndi_heading').html('Du har nå gjennomført spørreskjemaet');
                $('.progress').css('display', 'none');
                $('#prev_section').addClass('prev_btn');
                $('.ndi_questions').css('display', 'none');
                $('#next_section').css('display', 'none');
                $('.ndi_done').append('<p class="text-center lead">Du har nå gjennomført flervalgsskjemaet, og du har nå tilgang til anbefalingene dine.</p>');
                $('.ndi_done').append('<p class="text-center lead">Anbefalingene baserer seg på hva du har svart i denne undersøkelsen, men vi anbefaler at du også går gjennom de andre delene for å få et bedre grunnlag om du skal eller har bestilt time for fysioterapeut.</p>');
                
                //Legger til true og sjekker om alle skjema er utfylt
                formChecks.push('true');
                checkFormStatus();

                window.location.replace('#psfs_header_page');

                $.ajax({
                    type:'post',
                    url: 'script/processors/data_submission_processor.php',
                    data: {'section_score':section_score, 'section_answers':section_answers}
                });
                
            }
    
            //Når seksjon lastes inn, fjern gammel seksjon og oppdater seksjonsnavn
            $('.section_questions').html('');
            $('.ndi_heading').html(section_names[section_number-1]);
    
            //Asynkron kommunikasjon for å hente spørsmål
            $.ajax({
                type: 'post',
                url: 'script/processors/form_processor.php',
                data: {'section_number': section_count},
                success: function(data){
    
                    //For hver seksjo, begynn på 0.
                    //Bruker score_int til å sette riktig ID og sette riktig verdi for hvert spørsmål.
                    var score_int = 0;
    
                    //Deler informasjonen som jQuery mottar opp i en array som splittes ved store bokstaver.
                    var section_questions = data.split(/(?=[A-Z])/);
    
                    //For hvert spørsmål
                    section_questions.forEach(function(item){
                       
                        //Legg til spørsmål som kan avkrysses
                        $('.section_questions').append(
                            "<div class='form-check'>"+
                                "<input class='form-check-input' type='radio' name='radioGroup' id='defaultCheck" + score_int + "' value='"+ score_int +"'>"+
                                "<label class='form-check-label control-label' for='defaultCheck" + score_int + "'>"+
                                    item+
                                "</label>"+
                            "</div><br>"
                        );
    
                        //Øk for hvert spørsmål slik at ingen ID blir like
                        score_int++;
    
                    });
    
                }
    
            });
    
        }

        //Laster inn første seksjon
        load_section(section_number);    
    
        //Knapp for å laste inn neste seksjon
        $('#next_section').click(function(){
    
            //Sjekk at ett av alternativene er valg før bruker kan gå videre. Sjekk også at dette ikke er siste seksjon
            if(!$('input[name="radioGroup"]:checked').val() && section_number < 11){
    
                alert('Du må velge ett av alternativene!'); //Bytt ut med boks som viser feilmelding
    
            } else {
    
                section_score.push($('input[name="radioGroup"]:checked').val());
                section_answers.push($('label[for="'+$('input[name="radioGroup"]:checked').attr('id')+'"]').text());
    
                //Legg til 1 på seksjonstelleren og last inn ny seksjon
                section_number++;
                load_section(section_number);
    
                //Endrer bredde og valuenow på progressbar
                $('.progress-bar').attr('aria-valuenow', section_number*10).css('width', section_number*10 + '%');
    
            }
    
        });


        //Når knapp for å gå tilbake i skjema trykkes
        $('#prev_section').click(function(){

            //Finner siste svar og score for seksjon
            var previous_answer = section_answers[section_answers.length - 1];
            var previous_answer_score = section_score[section_score.length - 1];

            //Finner ID på siste registrerte valg
            var radioId = "input[name='radioGroup'][value='"+ previous_answer_score +"']";

            //Fjerner siste registrerte poeng og svar
            section_score.splice(-1,1);
            section_answers.splice(-1,1);

            //Fjern 1 fra seksjonsnummer
            section_number--;

            //Last inn seksjon
            load_section(section_number);
            
            //Oppdater progressjonsbar
            $('.progress-bar').attr('aria-valuenow', section_number*10).css('width', section_number*10 + '%');

        });

    //!PSFS

    //Funksjon for å endre farger på slider og på ansikt
    function setStatus(color){

        $('.rangeslider__fill').css({'background-color': color});

    }

    //Første slider
    $('#slider').rangeslider({

        polyfill: false,

        rangeClass: 'rangeslider',
        horizontalClass: 'rangeslider--horizontal',
        fillClass: 'rangeslider__fill',
        handleClass: 'rangeslider__handle',

        onInit: function(){ //Ved initialisering av slider
            $('.slider_value').html(Math.floor(this.$element.val()/10));
            setStatus('#2ecc71');
        },

        onSlide: function(position, value){ //Når slideren er aktiv

            $('.slider_value').html(Math.floor(value/10));
        },

        value: 50

    });



    //Andre slider
    $('#slider_2').rangeslider({

        polyfill: false,
    
        rangeClass: 'rangeslider',
        horizontalClass: 'rangeslider--horizontal',
        fillClass: 'rangeslider__fill',
        handleClass: 'rangeslider__handle',
    
        onInit: function(){ //Ved initialisering av slider
            $('.slider_value_2').html(Math.floor(this.$element.val()/10));
            setStatus('#2ecc71');
        },
    
        onSlide: function(position, value){ //Når slideren er aktiv
    
            $('.slider_value_2').html(Math.floor(value/10));
        },
    
        value: 50
    
    });

    //Tredje slider
    $('#slider_3').rangeslider({

        polyfill: false,
    
        rangeClass: 'rangeslider',
        horizontalClass: 'rangeslider--horizontal',
        fillClass: 'rangeslider__fill',
        handleClass: 'rangeslider__handle',
    
        onInit: function(){ //Ved initialisering av slider
            $('.slider_value_3').html(Math.floor(this.$element.val()/10));
            setStatus('#2ecc71');
        },
    
        onSlide: function(position, value){ //Når slideren er aktiv
    
            $('.slider_value_3').html(Math.floor(value/10));
        },
    
        value: 50
    
    });

    //Legger til egen metode for validering. 
    //Gjør at brukere ikke kan legge inn negative tall i spørreskjemaet.
    $.validator.addMethod('positiveNumber',
    function (value) { 
        return Number(value) > 0;
    }, 'Vennligst skriv inn et positivt tall!');

   //Validerer skjema 
   $('#psfs_activities').validate({

        rules: {

            activity_first: {required: true},
            activity_second: {required: true},
            activity_third: {required: true},

            activity_dur_first: {required: true, positiveNumber: true},
            activity_dur_second: {required: true, positiveNumber: true},
            activity_dur_third: {required: true, positiveNumber: true},

            psfs_scale_first: {required: true},
            psfs_scale_second: {required: true},
            psfs_scale_third: {required: true}

        },

        messages: {

            activity_first: 'Vennligst fyll inn aktivitetsnavn!',
            activity_second: 'Vennligst fyll inn aktivitetsnavn!',
            activity_third: 'Vennligst fyll inn aktivitetsnavn!',

            activity_dur_first: {required: 'Vennligst fyll inn hvor lenge du klarer å gjennomføre aktiviteten!', positiveNumber: 'Vennligst fyll inn et positivt tall!', number: 'Vennligst skriv inn et gyldig tall!'},
            activity_dur_second: {required: 'Vennligst fyll inn hvor lenge du klarer å gjennomføre aktiviteten!', positiveNumber: 'Vennligst fyll inn et positivt tall!', number: 'Vennligst skriv inn et gyldig tall!'},
            activity_dur_third: {required: 'Vennligst fyll inn hvor lenge du klarer å gjennomføre aktiviteten!', positiveNumber: 'Vennligst fyll inn et positivt tall!', number: 'Vennligst skriv inn et gyldig tall!'},

            psfs_scale_first: 'Vennligst velg en måleenhet!',
            psfs_scale_second: 'Vennligst velg en måleenhet!',
            psfs_scale_third: 'Vennligst velg en måleenhet!'
        },

        submitHandler: function(){

            //Henter verdier for hver aktivitet
            var first_activity = $('input[name="activity_first"]').val();
            var first_duration = $('input[name="activity_dur_first"]').val();
            var first_scale = $('select[name="psfs_scale_first"]').val();
            var first_affect = Math.floor($('input[name="affect_first"]').val()/10);
            
            //console.log('Første aktivitet: ' + first_activity + ', ' + first_duration + ', ' + first_scale + ', ' + first_affect);

            var second_activity = $('input[name="activity_second"]').val();
            var second_duration = $('input[name="activity_dur_second"]').val();
            var second_scale = $('select[name="psfs_scale_second"]').val();
            var second_affect = Math.floor($('input[name="affect_second"]').val()/10);

            //console.log('Andre aktivitet: ' + second_activity + ', ' + second_duration + ', ' + second_scale + ', ' + second_affect);

            var third_activity = $('input[name="activity_third"]').val();
            var third_duration = $('input[name="activity_dur_third"]').val();
            var third_scale = $('select[name="psfs_scale_third"]').val();
            var third_affect = Math.floor($('input[name="affect_third"]').val()/10);

            //console.log('Tredje aktivitet: ' + third_activity + ', ' + third_duration + ', ' + third_scale + ', ' + third_affect);

            $.ajax({

                type: 'post',
                url: 'script/processors/psfs_submit_processor.php',
                data: {

                    first_activity: first_activity,
                    first_duration: first_duration,
                    first_scale: first_scale,
                    first_affect: first_affect,

                    second_activity: second_activity,
                    second_duration: second_duration,
                    second_scale: second_scale,
                    second_affect: second_affect,

                    third_activity: third_activity,
                    third_duration: third_duration,
                    third_scale: third_scale,
                    third_affect: third_affect

                },
                
                success: function(data){

                    //*Infocard må gjøres tomt
                    //*psfs_main må endres

                    //Legger til true og sjekker om alle skjema er utfylt
                    formChecks.push('true');
                    checkFormStatus();

                    //Tømmer infocard
                    $('.info-card').html('');

                    //Legge til ny overskrift på infocard
                    $('.info-card').append('<h1 class="display-4 text-center header">Du har nå fullført aktivitetsskjemaet!</h1>');

                    //Tømmes psfs_main
                    $('.psfs_main').html('');

                    //Legger til knapp som sender bruker tilbake til min side
                    $('.psfs_main').append('<button type="button" class="btn btn-success btn-lg btn-block psfs_done">Tilbake til min side</button>');

                    //Ved trykk på knapp for å gå tilbake til min side
                    $('.psfs_done').click(function(){

                        window.location.replace('min_side.php');

                    });

                }

            });

        }

   });

    

});