<?php include 'db_credentials.php'; //Importer tilkobling 

    //Hent innskrevet epost
    $email = mysqli_real_escape_string($connection, $_POST['email']);

    //Gjør klar til prepared-statement
    $stmt = mysqli_stmt_init($connection);

    //Spørring som henter epost fra database
    $check_email = "SELECT Epost FROM Fysio WHERE Epost = ?";

    //Sjekker om spørringen går bra
    if(!mysqli_stmt_prepare($stmt, $check_email)){

        //Feilmelding
        echo 'Feil ved tilkobling';

    } else {

        //Bind epost input som parameter for spørring
        mysqli_stmt_bind_param($stmt, 's', $email);

        mysqli_stmt_execute($stmt);

        mysqli_stmt_store_result($stmt);

        //Hent antall rader databasen gir tilbake etter gitt spørring
        $count = mysqli_stmt_num_rows($stmt);

        //Sjekker om antall returnerte rader er større enn 0. 
        //Om det returnerte flere enn 0, betyr dette at eposten allerede er i bruk.
        //Send beskjed tilbake til klientside.
        if($count > 0){

            echo 'false';

        } else {

            echo 'true';

        }

    }

?>