<?php include 'db_credentials.php'; //Henter detaljer for å koble til database

    //Setter opp oppkobling.
    $stmt = mysqli_stmt_init($connection);

    //Spørring som henter alle ansatte og informasjon om dem hvor de ikke er administratorer
    $get_employees = "SELECT Fysio_Id, Fornavn, Etternavn, Epost FROM Fysio WHERE is_admin = 0";

    //Resultatet av spørringen
    $result = mysqli_query($connection, $get_employees);

    //Array-liste som skal holde alle ansatte
    $employee_list = array();

    //Om resultatet gir rader, altså om data finnes i database.
    if(mysqli_num_rows($result) > 0){
        
        //For hver returnerte rad, gjennomfør følgende:
        while($row = mysqli_fetch_assoc($result)){

            //Dytt data inn i arrat-liste
            array_push($employee_list, $row['Fysio_Id'], $row['Fornavn'] . ' ' . $row['Etternavn'], $row['Epost']);
        }

        //Gi liste tilbake til ajax-kall. 
        //Encode som json slik at den oppfører seg som en array og ikke som tekst
        echo json_encode($employee_list);

    }

    //Lukk tilkobling.
    mysqli_close($connection);
?>