<?php include 'db_credentials.php'; //Importer tilkobling

    //Hent telefonnummer
    $phone_number = mysqli_real_escape_string($connection, $_POST['phone_number']);

    //Begynn prepared-statement
    $stmt = mysqli_stmt_init($connection);

    //Hent telefonnummer fra database
    $check_phone = "SELECT Telefonnummer FROM Bruker WHERE Telefonnummer = ?";

    //Ved feil i tilkolbing
    if(!mysqli_stmt_prepare($stmt, $check_phone)){

        echo ('Feil ved tilkobling');

    } else {

        //Bind innskrevet verdi som parameter til spørring
        mysqli_stmt_bind_param($stmt, 'i', $phone_number);

        mysqli_stmt_execute($stmt);

        mysqli_stmt_store_result($stmt);

        //Tell antall rader som returneres
        $count = mysqli_stmt_num_rows($stmt);

        //Sjekk om resultatet ga rader. Hvis det er flere enn 0 rader betyr det at telefonnummeret allerede finnes
        //Returnerer true eller false og behandler det videre i valideringen på klientside
        if($count > 0){

            echo 'false';

        } else {

            echo 'true';

        }

    }

    //Lukk tilkobling
    mysqli_close($connection);

?>